function u = getSol(prob,mu,fem)

  switch nargin
    case 3
      fem.const = getConstCell(fem,prob,mu);
      u = femlin(fem,'Out','u');
    case 2
      [K,L] = assembleFemPre(prob,mu);

      K = K(prob.fem.dof.ind,prob.fem.dof.ind);
      L = L(prob.fem.dof.ind);
      
      u = zeros(prob.fem.dof.num,1);
      u(prob.fem.dof.ind) = K\L;
      
    otherwise
      error('Not enough input arguments');
  end